{% macro input(label,name,value,type="text",pattern="",required=false) %}
	<div class="frm1 row">
			<label>
				{{label}}
				{% if required %}*
				{% endif %}
			</label>
			<input class="form-control" type="{{type}}" name="{{name}}" value='{{value}}' {% if pattern !="" %} pattern="{{pattern}}" {% endif %} {% if required %} required {% endif %}>
	</div>
		{# <div class="col-4">
		</div>
		<div class="col-8">
		</div> #}
{% endmacro %}
{% macro obans(label,name,value) %}
	<div class="frm1 row">
		<div style="flex-basis:20%;padding:0 10px">
			<label>
				{{label}}
				{% if required %}*
				{% endif %}
			</label>
		</div>
		<div style="flex-basis:20%;padding:0 10px">
			{# <select class="form-control" name="{{name}}" id="{{name}}">
				<option value="A">A</option>
				<option value="B">B</option>
				<option value="C">C</option>
				<option value="D">D</option>
			</select> #}
			<input class="form-control" type="{{type}}" name="{{name}}" value='{{value}}' {% if pattern !="" %} pattern="{{pattern}}" {% endif %} {% if required %} required {% endif %}>
		</div>
		<div style="flex-basis:20%;padding:0 10px">
			<input class="form-control" type="number" name="co{{name}}" value='1'>
		</div>
		<div style="flex-basis:20%;padding:0 10px">
			<input class="form-control" type="number" name="ua{{name}}" value='0'>
		</div>
		<div style="flex-basis:20%;padding:0 10px">
			<input class="form-control" type="number" name="wr{{name}}" value='-0.25'>
		</div>
	</div>
{% endmacro %}
{% macro dinput(label,name,value,type="text",pattern="",required=false) %}
	<div class="frm1 row">
		<div class="col-4">
			<label>
				{{label}}
				{% if required %}*
				{% endif %}
			</label>
		</div>
		<div class="col-8">
			<input disabled class="form-control" type="{{type}}" name="{{name}}" value='{{value}}' {% if pattern !="" %} pattern="{{pattern}}" {% endif %} {% if required %} required {% endif %}>
		</div>
	</div>
{% endmacro %}
{% macro select(label,name,options,value) %}
	<div class="frm1 row">
		<div class="col-4">
			<label>
				{{label}}
				{% if required %}*
				{% endif %}
			</label>
		</div>
		<div
			class="col-8">
			{# <input class="form-control" type="{{type}}" name="{{name}}" value='{{value}}' {% if pattern !="" %} pattern="{{pattern}}" {% endif %} {% if required %} required {% endif %} onfocus="input_check(this)"> #}
			<select class="form-control" name="{{name}}" id="{{name}}">
				{% for option in options %}
					<option value="{{option.id}}">{{option.name}}</option>
				{% endfor %}
			</select>
		</div>
	</div>
{% endmacro %}

{% macro selectn(label,name,options,value) %}
	<div class="frm1 row">
		<div class="col-4">
			<label>
				{{label}}
				{% if required %}*
				{% endif %}
			</label>
		</div>
		<div
			class="col-8">
			{# <input class="form-control" type="{{type}}" name="{{name}}" value='{{value}}' {% if pattern !="" %} pattern="{{pattern}}" {% endif %} {% if required %} required {% endif %} onfocus="input_check(this)"> #}
			<select class="form-control" name="{{name}}" id="{{name}}">
				{% for option in options %}
					<option value="{{option.name}}">{{option.name}}</option>
				{% endfor %}
			</select>
		</div>
	</div>
{% endmacro %}
{% macro editor(label,name,value,required=false) %}
	<div class="frm1 row">
		<div class="col-4">
			<label>
				{{label}}
				{% if required %}*
				{% endif %}
			</label>
		</div>
		<div class="col-8">
			<textarea name="{{name}}" class="tinymce form-control">{{value}}</textarea>
		</div>
	</div>
{% endmacro %}
{% macro hidden(name,value) %}
	<input type="hidden" name="{{name}}" value="{{value}}">
{% endmacro %}
{% macro error(error) %}
	<div class="frm1">
		<div class="col-12">
			<div class="error">{{error}}</div>
		</div>
	</div>
{% endmacro %}
{% macro info(key,value,name="",editable=false) %}
	<tr>
		<th>{{key}}</th>
		{% if editable %}
			<td><input type="text" name="{{name}}" class='form-control' value='{{value}}'></td>
		{% else %}
			<td>{{value|raw}}</td>
		{% endif %}
	</tr>
{% endmacro %}
{% macro tinput(label,name,value,type="text",pattern="",required=false,placeholder='') %}
	<tr>
		<th>
			{{label}}
			{% if required %}*
			{% endif %}
		</th>
		<td>
			<input class='form-control' autocomplete="" placeholder='{{placeholder}}' type="{{type}}" name="{{name}}" value='{{value}}' {% if pattern !="" %} pattern="{{pattern}}" {% endif %} {% if required %} required {% endif %} onfocus="input_check(this)">
		</td>
	</tr>
{% endmacro %}
{% macro pagination() %}
	<div class="pagination">

		<div class='input-container' style='margin-right:10px'>
			<label for="">Page</label>
		</div>
		<div class='input-container' style='max-width:100px'>
			<input type="number" name='page' value="1" class="form-control"></div>
		<div class='input-container'>
			<button class="form-control btn btn-primary btn-md" type="button" onclick="book.gotoPage()">Go</button>
		</div>
		<div class="input-container">
			<button type="button" data-toggle="tooltip" title="zoomIn" class="form-control btn btn-primary btn-md" onclick="zoom.in()">
				<i class="fa fa-search-plus"></i>
			</button>
		</div>
		<div class='input-container'>
			<button type="button" data-toggle="tooltip" title="ZoomOut" class="btn btn-primary btn-md" onclick="zoom.out()">
				<i class="fa fa-search-minus"></i>
			</button>
		</div>
	</div>
{% endmacro %}
{% macro openScript(type,exam) %}
	{% if type=="objective" %}
		<a class='btn btn-primary' href="/omr/{{exam}}">Open OMR Sheet</a>
	{% endif %}
	{% if type=="subjective" %}
		<a class='btn btn-primary' href="/eval/{{exam}}">Open Answer Sheet</a>
	{% endif %}
	{% if type=="subjective+objective" %}
		<a class='btn btn-primary' href="/omr/{{exam}}">Open OMR Sheet</a>
		<a class='btn btn-primary' href="/eval/{{exam}}">Open Answer Sheet</a>
	{% endif %}
{% endmacro %}
